<?php

global $wp_filter;

if($custom_fields["_remove_filter"])
{
foreach($wp_filter["the_content"] as $priority => $filters)
	foreach($filters as $name => $details)
		$p[$name] = $priority;
foreach($custom_fields["_remove_filter"] as $filter)
	{
	remove_filter( 'the_content', $filter, $p[$filter] );
	remove_filter( 'the_excerpt', $filter, $p[$filter] );
	}
}

if($_GET["minfilters"])
{
$corefilters = array('convert_chars','wpautop','wptexturize');
foreach($wp_filter["the_content"] as $priority => $filters)
	foreach($filters as $name => $details)
		{
		//keep only core text processing or shortcode
		if(!in_array($name,$corefilters) && !strpos($name,'hortcode'))
			{
			$r = remove_filter( 'the_excerpt', $name, $priority );
			$r = remove_filter( 'the_content', $name, $priority );
			/*
			if($r)
				echo "removed $name $priority <br />";
			else
				echo "error $name $priority <br />";
			*/
			}
		}
}

if($custom_fields["_remove_head"])
{

foreach($wp_filter["wp_head"] as $priority => $filters)
	foreach($filters as $name => $details)
		$p[$name] = $priority;

foreach($custom_fields["_remove_head"] as $filter)
	remove_filter( 'wp_head', $filter, $p[$filter] );
}

if($custom_fields["_remove_footer"])
{
foreach($wp_filter["wp_footer"] as $priority => $filters)
	foreach($filters as $name => $details)
		$p[$name] = $priority;

foreach($custom_fields["_remove_footer"] as $filter)
	remove_filter( 'wp_footer', $filter, $p[$filter] );
}

if($_SERVER['HTTPS'] == 'on')
	{
	$style = str_replace('http:','https:',$style);
	$prefix = "https";
	add_filter('the_content','https_content');
	}
else
	$prefix = "http";

function https_content ($content) {
return $content = str_replace("src=\"http://".$_SERVER["SERVER_NAME"],"src=\"https://".$_SERVER["SERVER_NAME"],$content);
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" > 
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<?php
if($custom_fields["_new_window"][0] || $_GET["new"])
{
?>
<base target="_blank" />
<?php
}
if($custom_fields["_wp_head"][0] || $_GET["head"])
	wp_head();

$width = ($custom_fields["_canvas"][0] || $_GET["canvas"]) ? '720px;' : '520px;';
?>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo plugins_url('/fbtab.css',__FILE__); ?>" />
<style type="text/css" media="all">
<![CDATA[
body {width: <?php echo $width; ?>; overflow:hidden;}
<?php echo $custom_fields["_style"][0]; ?>
]]>
</style>
<?php echo $custom_fields["_inchead"][0]; ?>
</head>

<body>

	<div id="content">

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<?php


if(!$custom_fields["_hide_title"][0])
{
?>

						<h1 class="entry-title"><?php the_title(); ?></h1>
<?php
}
?>
					<div class="entry-content">
						<?php the_content(); ?>
					</div><!-- .entry-content -->
				</div><!-- #post-## -->

	</div>
<?php
if($custom_fields["_wp_footer"][0]  || $_GET["footer"])
	wp_footer();

if($custom_fields["_resize"][0] || $_GET["resize"])
{
?>

<script type="text/javascript" src="<?php echo $prefix; ?>://connect.facebook.net/en_US/all.js"></script>
<script type="text/javascript" charset="utf-8">
    /* Resizing code will be here. */
	FB.Canvas.setSize();
	FB.Canvas.setAutoResize();
</script>
<?php
}

?>
</body>
</html>